Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
categories
curl "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories" \
  -H "Authorization: Bearer <API_KEY>"
{
  "data": [
    {
      "id": 1,
      "name": "Pizzas",
      "image": "categories/664f1a2b3c4d5.jpg",
      "description": "All our artisan pizzas",
      "order": 1,
      "status": true,
      "app_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
      "branch_id": "9e3f2c1a-8b7d-4e6f-a5c4-d3b2a1e0f9c8",
      "products_count": 12,
      "created_at": "2026-02-19T15:30:00.000000Z",
      "updated_at": "2026-02-19T15:30:00.000000Z"
    },
    {
      "id": 2,
      "name": "Beverages",
      "image": null,
      "description": "Hot and cold beverages",
      "order": 2,
      "status": true,
      "app_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
      "branch_id": null,
      "products_count": 8,
      "created_at": "2026-02-19T15:35:00.000000Z",
      "updated_at": "2026-02-19T15:35:00.000000Z"
    }
  ],
  "links": {
    "first": "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories?page=1",
    "last": "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 15,
    "to": 2,
    "total": 2
  }
}
app_id
string
required
Your store ID in Jelou Shop.
paginate
boolean
default:"true"
Send false to get all categories without pagination.
include
string
Use products to include each category’s products in the response.
curl "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories" \
  -H "Authorization: Bearer <API_KEY>"
{
  "data": [
    {
      "id": 1,
      "name": "Pizzas",
      "image": "categories/664f1a2b3c4d5.jpg",
      "description": "All our artisan pizzas",
      "order": 1,
      "status": true,
      "app_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
      "branch_id": "9e3f2c1a-8b7d-4e6f-a5c4-d3b2a1e0f9c8",
      "products_count": 12,
      "created_at": "2026-02-19T15:30:00.000000Z",
      "updated_at": "2026-02-19T15:30:00.000000Z"
    },
    {
      "id": 2,
      "name": "Beverages",
      "image": null,
      "description": "Hot and cold beverages",
      "order": 2,
      "status": true,
      "app_id": "8af29efb-9864-4f29-888c-b2dd0d7ac1dd",
      "branch_id": null,
      "products_count": 8,
      "created_at": "2026-02-19T15:35:00.000000Z",
      "updated_at": "2026-02-19T15:35:00.000000Z"
    }
  ],
  "links": {
    "first": "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories?page=1",
    "last": "https://ecommerce.jelou.ai/api/v1/apps/{app_id}/categories?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "per_page": 15,
    "to": 2,
    "total": 2
  }
}
Filterable fields: status, branch_id Searchable fields: name
Replace {app_id} with your store ID and <API_KEY> with the token provided by Jelou.